Get Profile by username
curl --request GET \
--url https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username} \
--header 'apikey: <apikey>'const options = {method: 'GET', headers: {apikey: '<apikey>'}};
fetch('https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username}"
headers = {"apikey": "<apikey>"}
response = requests.get(url, headers=headers)
print(response.text){
"firstName": "<string>",
"lastName": "<string>",
"isOpenToWork": true,
"isHiring": true,
"profilePicture": "<string>",
"summary": "<string>",
"headline": "<string>",
"geo": {
"country": "<string>",
"city": "<string>",
"full": "<string>"
},
"educations": [
{
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
},
"fieldOfStudy": "<string>",
"degree": "<string>",
"grade": "<string>",
"schoolName": "<string>",
"description": "<string>",
"activities": "<string>"
}
],
"position": [
{
"companyName": "<string>",
"companyUsername": "<string>",
"companyURL": "<string>",
"companyIndustry": "<string>",
"companyStaffCountRange": "<string>",
"title": "<string>",
"location": "<string>",
"description": "<string>",
"employmentType": "<string>",
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
}
}
],
"skills": [
{
"name": "<string>"
}
],
"certifications": [
{
"name": "<string>",
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
},
"authority": "<string>",
"company": {
"name": "<string>",
"universalName": "<string>",
"logo": "<string>"
}
}
],
"publicIdentifier": "<string>",
"profileUrn": "<string>",
"languages": "<string>"
}Profile Enrichment API
Get Profile by username
GET
/
consumers
/
{consumer}
/
profiles
/
{username}
Get Profile by username
curl --request GET \
--url https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username} \
--header 'apikey: <apikey>'const options = {method: 'GET', headers: {apikey: '<apikey>'}};
fetch('https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://enrichment.qode.world/api/v1/consumers/{consumer}/profiles/{username}"
headers = {"apikey": "<apikey>"}
response = requests.get(url, headers=headers)
print(response.text){
"firstName": "<string>",
"lastName": "<string>",
"isOpenToWork": true,
"isHiring": true,
"profilePicture": "<string>",
"summary": "<string>",
"headline": "<string>",
"geo": {
"country": "<string>",
"city": "<string>",
"full": "<string>"
},
"educations": [
{
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
},
"fieldOfStudy": "<string>",
"degree": "<string>",
"grade": "<string>",
"schoolName": "<string>",
"description": "<string>",
"activities": "<string>"
}
],
"position": [
{
"companyName": "<string>",
"companyUsername": "<string>",
"companyURL": "<string>",
"companyIndustry": "<string>",
"companyStaffCountRange": "<string>",
"title": "<string>",
"location": "<string>",
"description": "<string>",
"employmentType": "<string>",
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
}
}
],
"skills": [
{
"name": "<string>"
}
],
"certifications": [
{
"name": "<string>",
"start": {
"year": 123,
"month": 123,
"day": 123
},
"end": {
"year": 123,
"month": 123,
"day": 123
},
"authority": "<string>",
"company": {
"name": "<string>",
"universalName": "<string>",
"logo": "<string>"
}
}
],
"publicIdentifier": "<string>",
"profileUrn": "<string>",
"languages": "<string>"
}Headers
API key for authentication
Path Parameters
The username of the profile
The consumer value along with the API KEY
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I